import { useEffect, useState } from 'preact/hooks'
import axios from 'axios'

export const useFetch = url => {
  const [data, setData] = useState(null)
  const [loading, setLoading] = useState(true)

  async function fetchData() {
    setLoading(true)

    const { data: responseData } = await axios.get(url)
    console.log('url', url)
    console.log('responseData', responseData)
    setData(responseData)
    setLoading(false)
  }

  useEffect(() => {
    fetchData()
  }, [])

  return { loading, data }
}
