import { h } from 'preact'
import { useEffect, useRef, useState } from 'preact/hooks'

import { H1, H2, P } from '../Text'
import {
  Wrapper,
  PositionedLogo as Logo,
  TaglineContainer,
  Top,
  Content,
} from './styles'
import translations from '../../data/strings'
import { colours } from '../../assets/theme'

const InfoLayout = ({ title, children }) => {
  return (
    <Wrapper>
      <Logo active colour={colours.midnightDarker} />
      <Content>
        <H2>{title}</H2>
        {children}
      </Content>

      <TaglineContainer>
        {translations &&
          translations.en.underscoreTagline.map(line => (
            <H1 key={line}>{line}</H1>
          ))}
      </TaglineContainer>
    </Wrapper>
  )
}

export default InfoLayout
